List webhook endpoints
curl --request GET \
--url https://my.server.express/api/v1/user/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/user/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/user/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"endpoints": [
{
"id": "<string>",
"url": "<string>",
"description": "<string>",
"events": [
"invoice.paid"
],
"active": true,
"disabledAt": "2023-11-07T05:31:56Z",
"consecutiveFails": 1,
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"key": "invoice.paid",
"label": "<string>",
"description": "<string>"
}
],
"signature": {
"header": "X-SE-Signature",
"format": "t=<unix seconds>,v1=<hex>",
"algorithm": "<string>"
}
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Webhooks
List webhook endpoints
The caller’s endpoints (newest first), the event catalogue, and how deliveries are signed. Secrets are never returned. Session only — a token must not be able to redirect the account’s event stream.
GET
/
v1
/
user
/
webhooks
List webhook endpoints
curl --request GET \
--url https://my.server.express/api/v1/user/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/user/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/user/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"endpoints": [
{
"id": "<string>",
"url": "<string>",
"description": "<string>",
"events": [
"invoice.paid"
],
"active": true,
"disabledAt": "2023-11-07T05:31:56Z",
"consecutiveFails": 1,
"lastDeliveryAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"events": [
{
"key": "invoice.paid",
"label": "<string>",
"description": "<string>"
}
],
"signature": {
"header": "X-SE-Signature",
"format": "t=<unix seconds>,v1=<hex>",
"algorithm": "<string>"
}
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}